RTEMS: Reset Status

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
Reset Status
Board Support Packages » ARM » Intel Cyclone V » Contributed Code » The Reset Manager

## Typedefs
typedef enum ALT_RESET_EVENT_e | ALT_RESET_EVENT_t

## Enumerations
enum | ALT_RESET_EVENT_e { ALT_RESET_EVENT_PORVOLTRST = 0x00000001 , ALT_RESET_EVENT_NPORPINRST = 0x00000002 , ALT_RESET_EVENT_FPGACOLDRST = 0x00000004 , ALT_RESET_EVENT_CONFIGIOCOLDRST = 0x00000008 , ALT_RESET_EVENT_SWCOLDRST = 0x00000010 , ALT_RESET_EVENT_NRSTPINRST = 0x00000100 , ALT_RESET_EVENT_FPGAWARMRST = 0x00000200 , ALT_RESET_EVENT_SWWARMRST = 0x00000400 , ALT_RESET_EVENT_MPUWD0RST = 0x00001000 , ALT_RESET_EVENT_MPUWD1RST = 0x00002000 , ALT_RESET_EVENT_L4WD0RST = 0x00004000 , ALT_RESET_EVENT_L4WD1RST = 0x00008000 , ALT_RESET_EVENT_FPGADBGRST = 0x00040000 , ALT_RESET_EVENT_CDBGREQRST = 0x00080000 , ALT_RESET_EVENT_SDRSELFREFTIMEOUT = 0x01000000 , ALT_RESET_EVENT_FPGAMGRHSTIMEOUT = 0x02000000 , ALT_RESET_EVENT_SCANHSTIMEOUT = 0x04000000 , ALT_RESET_EVENT_FPGAHSTIMEOUT = 0x08000000 , ALT_RESET_EVENT_ETRSTALLTIMEOUT = 0x10000000 }

## Functions
uint32_t | alt_reset_event_get (void)
ALT_STATUS_CODE | alt_reset_event_clear (uint32_t event_mask)

## Detailed Description

This functional group provides information on various aspects of SoC reset status and timeout events.

## Typedef Documentation

## ◆ ALT_RESET_EVENT_t

typedef enum ALT_RESET_EVENT_e ALT_RESET_EVENT_t

This type definition enumerates the set of reset causes and timeout events as register mask values.

## Enumeration Type Documentation

## ◆ ALT_RESET_EVENT_e

enum ALT_RESET_EVENT_e

This type definition enumerates the set of reset causes and timeout events as register mask values.

Enumerator
ALT_RESET_EVENT_PORVOLTRST | Power-On Voltage Detector Cold Reset
ALT_RESET_EVENT_NPORPINRST | nPOR Pin Cold Reset
ALT_RESET_EVENT_FPGACOLDRST | FPGA Core Cold Reset
ALT_RESET_EVENT_CONFIGIOCOLDRST | CONFIG_IO Cold Reset
ALT_RESET_EVENT_SWCOLDRST | Software Cold Reset
ALT_RESET_EVENT_NRSTPINRST | nRST Pin Warm Reset
ALT_RESET_EVENT_FPGAWARMRST | FPGA Core Warm Reset
ALT_RESET_EVENT_SWWARMRST | Software Warm Reset
ALT_RESET_EVENT_MPUWD0RST | MPU Watchdog 0 Warm Reset
ALT_RESET_EVENT_MPUWD1RST | MPU Watchdog 1 Warm Reset
ALT_RESET_EVENT_L4WD0RST | L4 Watchdog 0 Warm Reset
ALT_RESET_EVENT_L4WD1RST | L4 Watchdog 1 Warm Reset
ALT_RESET_EVENT_FPGADBGRST | FPGA Core Debug Reset
ALT_RESET_EVENT_CDBGREQRST | DAP Debug Reset
ALT_RESET_EVENT_SDRSELFREFTIMEOUT | SDRAM Self-Refresh Timeout
ALT_RESET_EVENT_FPGAMGRHSTIMEOUT | FPGA manager handshake Timeout
ALT_RESET_EVENT_SCANHSTIMEOUT | SCAN manager handshake Timeout
ALT_RESET_EVENT_FPGAHSTIMEOUT | FPGA handshake Timeout
ALT_RESET_EVENT_ETRSTALLTIMEOUT | ETR Stall Timeout

## Function Documentation

## ◆ alt_reset_event_clear()

ALT_STATUS_CODE alt_reset_event_clear | ( | uint32_t | event_mask | ) |

Clears the reset and timeout events that caused the last reset.

Parameters

  event_mask | A mask of the selected reset and timeout events to clear in the Reset Manager stat register. The mask selection can be formed using the ALT_RESET_EVENT_t enumeration values.

Return values

  ALT_E_SUCCESS | The operation was succesful.
  ALT_E_ERROR | The operation failed.

## ◆ alt_reset_event_get()

uint32_t alt_reset_event_get | ( | void |  | ) |

Gets the reset and timeout events that caused the last reset.

The ALT_RESET_EVENT_t enumeration values should be used to selectively examine the returned reset cause(s).

Returns
  A mask of the reset and/or timeout events that caused the last reset.